#!/bin/bash

projectsDir="/shared/repositories/java-high-popularity-3000-unrated"
resultsDir="results"

total="$(find $projectsDir/* -maxdepth 0 -type d | wc -l)"
current="$(find $resultsDir/* -maxdepth 0 -type f | wc -l)"
export LC_NUMERIC="en_US.UTF-8"  # avoid errors with number format
completionRate=$(printf %.2f $(echo "$current/$total*100" | bc -l))

echo -e "total:\t\t\t$total"
echo -e "current:\t\t$current"
echo -e "completion rate:\t$completionRate%"

