#setwd("/Users/sebastian/git/kiefer/stackoverflow-in-github/references-recall/java-high-popularity-3000-unrated/eval/")
setwd("E:/Git/kiefer/stackoverflow-in-github/references-recall/java-high-popularity-3000-unrated/eval/")

NAMES = c("gh-mt40", "top100-mt40", "so-mt40")

runtime <- data.frame(NAMES, stringsAsFactors=FALSE)
names(runtime) <- c("snippet_set")
runtime$runtime_hours <- rep.int(0, length(NAMES))

# READ DATA
for (name in NAMES) {
    data <- read.csv(file=paste(name, "/", "runtime.log", sep=""), header=FALSE, sep=",", quote="\"", na.strings=c(""), stringsAsFactors=FALSE)    
    start <- as.POSIXct(data[1, 1]/1000000000, origin="1970-01-01") # timestamp is in nanoseconds, R expects seconds
    end <- as.POSIXct(data[2, 1]/1000000000, origin="1970-01-01") # timestamp is in nanoseconds, R expects seconds
    runtime[runtime$snippet_set == name,]$runtime_hours <- end-start
}

runtime
# snippet_set runtime_hours
# 1     gh-mt40      7.967650
# 2 top100-mt40      9.283357
# 3     so-mt40      7.881284