#!/bin/bash

# see http://stackoverflow.com/a/3945952
if [ $# -ne 1 ]; then
  echo 1>&2 "$0: not enough arguments"
  exit 2
fi

name=$1

mkdir "eval/$name"
cp "error.log" "eval/$name/" 
cp "runtime.log" "eval/$name/"
tar -zcf "$name.tar.gz" results/*
mv "$name.tar.gz" "eval/$name/"
./merge_results.sh "${name}_merged.csv"
gzip "${name}_merged.csv"
mv "${name}_merged.csv.gz" "eval/$name/"
