#!/bin/bash

# see http://stackoverflow.com/a/3945952
if [ $# -ne 1 ]; then
  echo 1>&2 "$0: not enough arguments"
  exit 2
fi

# see http://stackoverflow.com/a/24643455
resultFile=$1
i=0
for filename in ./results/*.csv; do 
 if [ "$filename"  != "$resultFile" ] ;  # Avoid recursion
 then
   if [[ $i -eq 0 ]] ; then
      head -1  $filename >   $resultFile  # Copy header if it is the first file
   fi
   tail -n +2  $filename >>  $resultFile  # Append from the 2nd line each file
   i=$(( $i + 1 ))                        # Increase the counter
 fi
done
