#!/bin/bash

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

ccdDestination="$DIR/ccd/"
archiveLink="https://github.com/pmd/pmd/releases/download/pmd_releases%2F5.4.1/pmd-bin-5.4.1.zip"
tmp="_tmp.zip"


# @todo test if destination directory is empty; warn if not
mkdir -p "$ccdDestination"

cd "$ccdDestination"
# @todo test that we do not overwrite an existing temp file
# curl -L: follow redirects
curl -L "$archiveLink" > $tmp
unzip $tmp
rm $tmp

cd $OLDPWD
echo "Installation done."
